首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  iPad

请问如何下载到 APP store 的老版本 APP (iOS 听说越升级越卡, 所以一直停留在 8.1 版本, 最新版 APP 不支持) . 没越狱.

  •  
  •   miao · 2016-07-15 19:43:02 +08:00 · 2997 次点击
    这是一个创建于 1007 天前的主题,其中的信息可能已经有所发展或是发生改变。
    19 回复  |  直到 2016-07-17 12:59:33 +08:00
        1
    Anhedonia   2016-07-15 20:32:22 +08:00   ♥ 1
    iPhone4S 用到 iOS7 开始卡 iOS5-iOS7
    iPhone5 用到 iOS9 开始卡 iOS6-iOS8
    iPhone5S 用到 iOS10DP1 略卡 iOS7-iOS10
    iPhone6 用到 目前只是 iOS10DP1 卡
    目前的 6S DP1 卡

    所以除非你是 mini2 及更低
    为何不升级?

    回答问题
    无法下载
        2
    Satelli   2016-07-15 20:52:23 +08:00   ♥ 1
    App Store 会返回该 iOS 版本能够使用的最新的应用版本。
        3
    wclebb   2016-07-15 21:02:14 +08:00 via iPhone   ♥ 1
    重置手机也会卡吗?
        4
    505243267   2016-07-15 21:07:45 +08:00 via iPad   ♥ 1
    可以参考,看懂原理就能操作了: http://bbs.feng.com/read-htm-tid-10125110.html
        5
    MrMario   2016-07-15 23:57:03 +08:00 via iPhone   ♥ 1
    抓 iTunes 包,修改版本号,重放即可
        6
    lrigi   2016-07-16 07:34:31 +08:00   ♥ 1
    我 ios7 的 touch ,打开 keynote 无数次让我升级系统更新最新 keynote ,苹果真是够了
        7
    miao   2016-07-16 08:38:05 +08:00
    @Anhedonia 手持 iPad Air, 升级怕卡.


    @Satelli 有些 APP 然而并不能


    @wclebb 我没升级, 所以不知道升级后会不会卡, 你可以看一楼


    @505243267
    @MrMario 等下研究下抓包


    @lrigi 所以说, 是很坑爹
        8
    Satelli   2016-07-16 08:48:27 +08:00   ♥ 1
    @miao App Store 是这样处理的,我现在还有一台 iOS 6.1.3 的 iPhone ,下载下来的基本都是非最新版本的。

    应用可以检查服务端是否可用的,比如 Vainglory 在每次更新后,旧版本的客户端会提示需要更新客户端版本,然后给一个跳转到 App Store 的按钮。这是应用自己的行为,和 App Store 无关。
        9
    miao   2016-07-16 09:22:16 +08:00
    @Satelli 你这个是已经安装过的 app 提示升级的处理.

    我要的是, 下载一个本地 iOS 设备没有的 APP. 比如(没记错的话) firefox, 必须要 iOS 8.2 版本以上, 才能下载安装. 你可以试试.
        10
    Satelli   2016-07-16 09:55:33 +08:00   ♥ 1
    @miao 你必须拥有此 app 才能下载适合旧版本 iOS 版本的 app 。如果该 app 没有被该 Apple ID 购买过,那么 App Store 不会提供旧版本来下载。

    你可以先用 iTunes 购买此 app ,然后再在 iOS 设备上用 App Store 下载,这样 App Store 就会提示是否下载旧版本的 app 版本。

    不是太清楚 app 开发者是否可以关闭旧版本 app 的下载。如果可以的话开发者也可以设置 App Store 不为旧版本 iOS 设备返回支持的 app 版本。
        11
    ozOGen   2016-07-16 09:57:20 +08:00 via iPhone
    下载新的可以在 iTunes 里进行,从旧版本系统的已购里面下载就会自动下载适配该系统的最高版本号软件,至少今年年初的时候这个方法还可行,年初的时候在 4.3.3 的 iPad 1 上测试过
        12
    Hubs   2016-07-16 10:02:22 +08:00   ♥ 1
    越狱后安装插件“ APPadmin"直接在 App Store 里升降级 APP ,傻瓜式操作,方便快捷
        13
    Hubs   2016-07-16 10:05:05 +08:00
    对了,还能忽略掉不想更新的 APP(同时可以隐藏掉更新角标),强迫症患者必备
        14
    miao   2016-07-16 10:10:45 +08:00
    @Satelli

    @ozOGen 谢谢你, 可能是版本不同. 我的 ipad 8.1 版本好像不能, 没有提示下载旧版本.


    @Hubs 看来越狱是一个可行的办法. 毕竟过保了. 无所谓了
        15
    Satelli   2016-07-16 10:25:35 +08:00
    @miao 应该是 Apple 不给旧版本 iOS 提供旧版本的 app 。参考 https://sites.google.com/site/appleclubfhs/support/advice-and-articles/app-store-downloading-older-versions-of-apps-ios

    你可以参考一些使用 Fiddler, Charles 之类的抓包软件来修改 iTunes 请求的版本号来下载旧版本的 app 的方法。例如 @505243267 提到的 http://bbs.feng.com/read-htm-tid-10125110.html
        16
    gulullu   2016-07-16 12:52:55 +08:00
    8.x 是最烂的一个版本,你竟然选择停留在这?
        17
    miao   2016-07-16 13:30:36 +08:00
    @gulullu 那么请问, 我应该使用哪个版本, ipad air
        18
    gulullu   2016-07-16 13:36:30 +08:00
    @miao 9.3.2 还可以啊, 5S 上比 9.0 要流畅,我觉得 iPad Air 可以升,个人意见。
        19
    chztv   2016-07-17 12:59:33 +08:00
    @miao 不是所有 App 都有旧版本,比如 Tweetbot4 最老的版本也是需要 iOS9 才支持, Surge 就更不用了, iOS9 时代才出的产物。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   847 人在线   最高记录 4385   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 17ms · UTC 20:41 · PVG 04:41 · LAX 13:41 · JFK 16:41
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1